Subject: Re: [stir] Replacing rfc4474 (was: Revised charter text for STIR)

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 1 Jul 2013 09:43:59 +0200

28 jun 2013 kl. 22:34 skrev Dan York <[email-masked]>:

> 
> On 6/28/13 4:03 PM, "Peterson, Jon" <[email-masked]> wrote:
> 
>> I'm concerned that if we start out with a non-goal of replacing RFC4474,
>> we
>> could duplicate a lot of design and effort and architecture (and pretty
>> much text, even) and yet, in the name of parsimoniousness, end up with two
>> different flavors of verification and authentication services that as
>> specifications need to be separately updated and kept in synch and so on.
>> I'd rather nip that at the bud.
> 
> I hear what you are saying, Jon, but we've heard time and time again in
> various conversations that RFC4474 is "not being deployed" and is not
> being used because it has too many challenges in the way SIP systems are
> deployed today.  So it may be more accurate to say that we might end up
> with:

During all the years I've participated in SIPit, we've been able to start
tests on RFC4474 once and could send a message between two
implementations, but not receive and acknowledge the other way.

In the SIPit 30 summaries I find:
"There was one RFC4474 Identity implementation present."

SIPit29:
"There were three RFC4474 Identity implementations present."

""** Identity

There were several SIP Identity implementations present. We tested creating and
verifying the Identity assertions at proxies. It wasn't immediately obvious to some 
implementers that the resource pointed to by the  Identity-Info URI had to be DER 
encoded (a result of the requirement to use application/pkix-cert). Unfortunately, 
the tar encoded at the end of 4474 has .cer files in it that are PEM encoded."

RFC 4474 was published in 2006, and in 2011 we got the first interoperability
test between two implementations at SIPit to work one-way.

Just FYI.
/O